Debian Bug report logs - #552705
ITP: mp4v2 -- a library that provides functions to read, create, and modify mp4 files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Wed, 28 Oct 2009 21:39:15 UTC

Owned by: "Matteo F. Vescovi" <m.vescovi@revese.it>

Severity: wishlist

Fixed in version mp4v2/1.9.1+svn479~dfsg0-1

Done: m.vescovi@revese.it (Matteo F. Vescovi)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#552705; Package wnpp. (Wed, 28 Oct 2009 21:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 28 Oct 2009 21:39:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: submit@bugs.debian.org
Subject: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Wed, 28 Oct 2009 10:09:32 +0100
Subject: ITP: mp4v2 -- a library that provides functions to read, create, and modify mp4 files
Package: wnpp
Owner: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Severity: wishlist

* Package name    : mp4v2
  Version         : 1.9.1
  Upstream Author : Edward Groenendaal <eddyg@myreflection.org>
* URL             : http://code.google.com/p/mp4v2/
* License         : MPL-1.1
  Programming Lang: C++
  Description     : a library that provides functions to read, create, and modify mp4 files
.
The MP4v2 library provides an API to create and modify mp4 files as
defined by ISO-IEC:14496-1:2001 MPEG-4 Systems. This file format is
derived from Apple's QuickTime file format that has been used as a
multimedia file format in a variety of platforms and applications. It is
a very powerful and extensible format that can accomodate practically
any type of media.
.
MP4v2 was originally bundled with mpeg4ip library, but has been moved
into its own maintained library due to a combination of the cessation of
support of mpeg4ip and the usefulness of this library on its own.

The Debian multimedia packages maintainers are still unsure if there are
packages that actually make use of this library at all. Interested
users, please indicate your interest in this bug and CC our mailing
list!








Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 09:15:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 29 Oct 2009 09:15:51 GMT) Full text and rfc822 format available.

Message #10 received at 552705@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: 552705@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, create, and modify mp4 files
Date: Thu, 29 Oct 2009 08:23:32 +0100
owner 552705 pkg-multimedia-maintainers@lists.alioth.debian.org
thanks




Owner changed from Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org> to pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Fabian Greffrath <greffrath@leat.rub.de> to control@bugs.debian.org. (Thu, 29 Oct 2009 09:16:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 09:48:04 GMT) Full text and rfc822 format available.

Message #17 received at 552705@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: Fabian Greffrath <fabian@greffrath.com>, 552705@bugs.debian.org
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 10:21:21 +0100
[Message part 1 (text/plain, inline)]
Am Mittwoch, den 28.10.2009, 10:09 +0100 schrieb Fabian Greffrath:

> The Debian multimedia packages maintainers are still unsure if there are
> packages that actually make use of this library at all. Interested
> users, please indicate your interest in this bug and CC our mailing
> list!

faac can use it IIRC but that can never be in Debian ;)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 11:48:07 GMT) Full text and rfc822 format available.

Message #22 received at 552705@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Fabian Greffrath <fabian@greffrath.com>, 552705@bugs.debian.org
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 11:17:44 +0200
On Wed, Oct 28, 2009 at 10:09:32AM +0100, Fabian Greffrath wrote:
> The Debian multimedia packages maintainers are still unsure if there are
> packages that actually make use of this library at all.

Melodie.app from etoile (new release not yet packaged for Debian,
waiting for Clang) uses this library.  However, it also links against
libavcodec, so I've patched it out as the licenses are incompatible.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 12:50:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 12:50:05 GMT) Full text and rfc822 format available.

Message #27 received at 552705@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: 552705@bugs.debian.org
Cc: Yavor Doganov <yavor@gnu.org>, pkg-multimedia-maintainers@lists.alioth.debian.org, Sebastian Dröge <slomo@circular-chaos.org>
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 12:15:54 +0100
Yavor Doganov schrieb:
> Melodie.app from etoile (new release not yet packaged for Debian,
> waiting for Clang) uses this library.  However, it also links against
> libavcodec, so I've patched it out as the licenses are incompatible.

Sebastian Dröge schrieb:
> faac can use it IIRC but that can never be in Debian ;)

So we've got one package where the support for libmp4v2 has to be 
ripped out because of license incompatibilities and another one which 
will most probably never enter Debian.

Well, I prepared the mp4v2 packages anyway:
http://git.debian.org/?p=pkg-multimedia/mp4v2.git

I think, however, that its license (MPL) makes the package mostly 
useless for linking against all GPL'ed software - which is, well, 
quite a lot.

If any of the listening DDs find use in this package, please consider 
uploading anyway.

-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 19:00:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 19:00:25 GMT) Full text and rfc822 format available.

Message #32 received at 552705@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 552705@bugs.debian.org
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 18:00:35 +0100
Fabian Greffrath <fabian@greffrath.com> wrote:

Hi,

> The Debian multimedia packages maintainers are still unsure if there are
> packages that actually make use of this library at all. Interested
> users, please indicate your interest in this bug and CC our mailing
> list!

gtkpod needs libmp4v2 to be able to handle aac/mp4 files. Which is the
native format for the iPod, so... definitely useful. And I'd *love* to
see gtkpod in Debian built with libmp4v2 enabled.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 19:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 19:42:05 GMT) Full text and rfc822 format available.

Message #37 received at 552705@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 552705@bugs.debian.org, Yavor Doganov <yavor@gnu.org>, pkg-multimedia-maintainers@lists.alioth.debian.org
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 21:18:45 +0200
Fabian Greffrath wrote:
> I think, however, that its license (MPL) makes the package mostly 
> useless for linking against all GPL'ed software - which is, well, 
> quite a lot.

I agree completely.

Actually, melodie.app is under a non-copyleft license but of course
Debian will distribute it under GPL, since our ffmpeg libs are under
GPL.  When I mentioned this to upsteeam (that we can't link against
libavcodec/libavformat and mp4v2 even if/when the latter is packaged
in Debian) they said that it's a distro's problem if the distro ships
"GPL-contaminated" (sic) ffmpeg.

FWIW, they just use mp4v2's tags functionality (which was implemented
in taglib) and intend to drop the dependency when a new taglib release
is made (which I think is already a fact).

I humbly suggest to keep mp4v2 on hold and avoid uploading it until
there is actually any benefit -- libraries with no reverse
dependencies are mostly useless.

P.S.  When I was investigating this issue (i.e. why mp4v2 is not in
      Debian) about 2 years ago I vaguely remember an old ITP and a
      discussion that it cannot be in Debian due to patents concerns.
      Upstream's homepage at SF (back then) was pretty scary, too.
      Sorry I can't give any references right now.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 19:51:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 19:51:28 GMT) Full text and rfc822 format available.

Message #42 received at 552705@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Julien BLACHE <jblache@debian.org>
Cc: 552705@bugs.debian.org
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 20:10:47 +0100
Am Donnerstag, den 29.10.2009, 18:00 +0100 schrieb Julien BLACHE:
> gtkpod needs libmp4v2 to be able to handle aac/mp4 files. Which is the
> native format for the iPod, so... definitely useful. And I'd *love* to
> see gtkpod in Debian built with libmp4v2 enabled.

Fine, but AFAICT gtkpod is licensed under the GPL. Is it OK to link it
against a library that is licensed under the MPL?

Anyway, pkg-multimedia team mates, would you please consider uploading
the package?

Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Thu, 29 Oct 2009 19:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 29 Oct 2009 19:57:20 GMT) Full text and rfc822 format available.

Message #47 received at 552705@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Julien BLACHE <jblache@debian.org>
Cc: 552705@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Thu, 29 Oct 2009 20:26:21 +0100
Julien BLACHE <jblache@debian.org> writes:

> Fabian Greffrath <fabian@greffrath.com> wrote:
>
> Hi,
>
>> The Debian multimedia packages maintainers are still unsure if there are
>> packages that actually make use of this library at all. Interested
>> users, please indicate your interest in this bug and CC our mailing
>> list!
>
> gtkpod needs libmp4v2 to be able to handle aac/mp4 files. Which is the
> native format for the iPod, so... definitely useful. And I'd *love* to
> see gtkpod in Debian built with libmp4v2 enabled.

gtkpod in svn do a dlopen for libmp4v2 so ins't a problem.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Fri, 30 Oct 2009 17:54:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 30 Oct 2009 17:54:26 GMT) Full text and rfc822 format available.

Message #52 received at 552705@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 552705@bugs.debian.org
Cc: mp4v2@googlegroups.com
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Fri, 30 Oct 2009 18:08:24 +0100
Hi mp4v2 developers,

I'm CC'ing you with this email because of two reasons:

 a) we wanted to inform you about Debian's intend to package mp4v2
 b) I have a technical question about the library versioning used in the
    mp4v2 package
 c) Inform you that we update the horribly outdated config.guess and
    config.sub files in the mp4v2 package

Fabian Greffrath <greffrath@leat.rub.de> writes:

> Fabian Greffrath schrieb:
>> b) add override_dh_auto_configure and copy over the files
>> [config.sub, config.guess] from autotools-dev, remove them in
>> debian/clean

> Did it that way...

thanks.

OK. Now I've successfully built it, seems so far okay.

I've further looked at the package. Confusingly, a copy of the GPL is
included in the package as file COPYING, while the source itself is
MPL. This seems to have already been fixed in the upstream svn.

the other more serious issue is this:

libmp4v2_la_LDFLAGS = \
    $(AM_LDFLAGS) \
    -version-number $(PROJECT_version_major):$(PROJECT_version_minor):$(PROJECT_version_point) $(X_libmp4v2_la_LDFLAGS)

this doesn't look right. Well, it might be correct if the upstream
versioning is choosen correctly, but in almost all cases, the release
version and library version should be handled seperatly.

To me this looks like someone decided to not bother with libtool but
implement an simpler own solution without really understanding the
implications of librariy versioning.

I noticed that debian-multimedia.org (and ubuntu) include an libmp4v2-0
package. Is the created libmp4v2-1 from this package really ABI
incompatible to the proposed package? If not, then SONAME should not
have been bumped.

I'm holding back with the upload of this package until Fabian confirms
that he is aware of this issue and wants to have it uploaded anyway, or
(preferably) the library versioning is clarified.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Fri, 30 Oct 2009 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Groenendaal <eddyg@me.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Fri, 30 Oct 2009 22:15:04 GMT) Full text and rfc822 format available.

Message #57 received at 552705@bugs.debian.org (full text, mbox):

From: Edward Groenendaal <eddyg@me.com>
To: "mp4v2@googlegroups.com" <mp4v2@googlegroups.com>
Cc: "552705@bugs.debian.org" <552705@bugs.debian.org>, "mp4v2@googlegroups.com" <mp4v2@googlegroups.com>
Subject: Re: [mp4v2] Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Sat, 31 Oct 2009 10:54:16 +1300
Firstly, just so you know, my time for working on mp4v2 has been  
severly limited the last few months due to personal circumstances. I'm  
mainly having to just monitor things via my iPhone.

The copyright should be MPL since that is the license that Cisco chose  
to use. I could try to see if they are willing to change that to an  
MIT or BSD one.

There are two incompatible versions of the library, the first is the  
branch from mpeg4ip and then it was modified to be incompatible with  
some new tagging Apis.

As for libtool, that's a sticky area due to broken tool chains on  
macos x. We may be able to revert to only libtool now I guess. I'm not  
really up to speed on all of that, Konablend implemented the build  
system for us. I'm open to patches.

Cheers Ed.



On 31/10/2009, at 6:08, Reinhard Tartler <siretart@tauware.de> wrote:

> Hi mp4v2 developers,
>
> I'm CC'ing you with this email because of two reasons:
>
> a) we wanted to inform you about Debian's intend to package mp4v2
> b) I have a technical question about the library versioning used in  
> the
>    mp4v2 package
> c) Inform you that we update the horribly outdated config.guess and
>    config.sub files in the mp4v2 package
>
> Fabian Greffrath <greffrath@leat.rub.de> writes:
>
>> Fabian Greffrath schrieb:
>>> b) add override_dh_auto_configure and copy over the files
>>> [config.sub, config.guess] from autotools-dev, remove them in
>>> debian/clean
>
>> Did it that way...
>
> thanks.
>
> OK. Now I've successfully built it, seems so far okay.
>
> I've further looked at the package. Confusingly, a copy of the GPL is
> included in the package as file COPYING, while the source itself is
> MPL. This seems to have already been fixed in the upstream svn.
>
> the other more serious issue is this:
>
> libmp4v2_la_LDFLAGS = \
>    $(AM_LDFLAGS) \
>    -version-number $(PROJECT_version_major):$(PROJECT_version_minor): 
> $(PROJECT_version_point) $(X_libmp4v2_la_LDFLAGS)
>
> this doesn't look right. Well, it might be correct if the upstream
> versioning is choosen correctly, but in almost all cases, the release
> version and library version should be handled seperatly.
>
> To me this looks like someone decided to not bother with libtool but
> implement an simpler own solution without really understanding the
> implications of librariy versioning.
>
> I noticed that debian-multimedia.org (and ubuntu) include an  
> libmp4v2-0
> package. Is the created libmp4v2-1 from this package really ABI
> incompatible to the proposed package? If not, then SONAME should not
> have been bumped.
>
> I'm holding back with the upload of this package until Fabian confirms
> that he is aware of this issue and wants to have it uploaded anyway,  
> or
> (preferably) the library versioning is clarified.
>
> -- 
> Gruesse/greetings,
> Reinhard Tartler, KeyID 945348A4
>
> --~--~---------~--~----~------------~-------~--~----~
> You received this message because you are subscribed to the Google  
> Groups "mp4v2" group.
> To post to this group, send email to mp4v2@googlegroups.com
> To unsubscribe from this group, send email to mp4v2+unsubscribe@googlegroups.com
> For more options, visit this group at http://groups.google.com/group/mp4v2?hl=en
> -~----------~----~----~----~------~----~------~--~---
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Tue, 03 Nov 2009 10:24:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 03 Nov 2009 10:24:20 GMT) Full text and rfc822 format available.

Message #62 received at 552705@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Reinhard Tartler <siretart@tauware.de>, 552705@bugs.debian.org
Cc: mp4v2@googlegroups.com
Subject: Re: Bug#552705: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Tue, 03 Nov 2009 11:06:40 +0100
Reinhard, thanks for taking care about this issue!

Reinhard Tartler schrieb:
> I noticed that debian-multimedia.org (and ubuntu) include an libmp4v2-0
> package. Is the created libmp4v2-1 from this package really ABI
> incompatible to the proposed package? If not, then SONAME should not
> have been bumped.

I usually rely on upstream deciding about SONAMES and I believe there 
was a reason for Edward to bump it to 1 when he released his fork from 
mpeg4ip (which had it at 0). And to be honest, I couldn't care less 
about library sonames in debian-multimedia or ubuntu. ;)

> I'm holding back with the upload of this package until Fabian confirms
> that he is aware of this issue and wants to have it uploaded anyway, or
> (preferably) the library versioning is clarified.

As far as I understand it, upstream isn't working on version 1.x 
anymore and the currently prepared 2.x version will be incompatible to 
its predecessor anyway, so I see no reason not to upload soname 1 to 
Debian right now and port applications to the new (incompatible) ABI 2 
as soon as it has been released.

What I consider the real blocker for this package is its usefulness. 
It seems that all applications that could use it are either 
license-incompatible or fail as candicates for Debian for other 
reasons. :(

Thanks again,
Fabian


-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Wed, 09 Dec 2009 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maia Kozheva <sikon@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 09 Dec 2009 06:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 552705@bugs.debian.org (full text, mbox):

From: Maia Kozheva <sikon@ubuntu.com>
To: 552705@bugs.debian.org
Subject: Re: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Wed, 09 Dec 2009 12:36:21 +0600
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

gtkpod, in fact, only uses mp4v2's metadata functionality.
Unfortunately, taglib is a C++ library and gtkpod is written in C, so
porting it to taglib is not an option.

Reinhard suggested porting it to libavformat - I couldn't find
documentation specifically about its metadata functionality, though, and
I'm not sure upstream will agree about adding a dependency on ffmpeg,
given how conservative they are. It can be patched for Debian/Ubuntu, at
least.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEbBAEBAgAGBQJLH0VlAAoJEDqDNnQ69yYSbDMH+KhRXnKpVtcySIZr3pwCXOS4
5WB0mrdtFMZPr5juYK0Mf0hi0UlG7Et9zLLyHVEiOpf49vlt0/LQ+WyBqepFiOYd
Ad9FXYEASv1dQ34CwDIKxEoChQP0aVbUx2G1xOfT6QC5MIB13nD8/zhZcmLrfM+W
jSvfy5b+3VdNq6ewttxG3umyLB+mgzY+ni6buHrimGWcUTu51ZuK3rRunCcXp8bq
opjanTE5qusuD14w6zxg/YxDeA0KoSlOF89ydiJorxSq1iNWIO+0hvVviJddyOTM
2O7S9wjlCcXsZEYXLIlbXq7q82BSGWSJMjTDLoX5q1RIuMZP+09bn+pfHRDxbg==
=+yUR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#552705; Package wnpp. (Sat, 19 Feb 2011 18:15:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 19 Feb 2011 18:15:23 GMT) Full text and rfc822 format available.

Message #72 received at 552705@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 552705@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mp4v2: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:29 +0000
retitle 552705 RFP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
noowner 552705
thanks

Hi,

This is an automatic email to change the status of mp4v2 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting mp4v2, please send a mail to
<control@bugs.debian.org> with:

 retitle 552705 ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
 owner 552705 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <552705@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files' from 'ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:43 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:23:43 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mp4v2 -- a library that provides functions to read,' from 'RFP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files' Request was from "Matteo F. Vescovi" <m.vescovi@revese.it> to control@bugs.debian.org. (Sun, 07 Aug 2011 09:03:03 GMT) Full text and rfc822 format available.

Owner recorded as "Matteo F. Vescovi" <m.vescovi@revese.it>. Request was from "Matteo F. Vescovi" <m.vescovi@revese.it> to control@bugs.debian.org. (Sun, 07 Aug 2011 09:03:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files' from 'ITP: mp4v2 -- a library that provides functions to read,' Request was from "Matteo F. Vescovi" <m.vescovi@revese.it> to control@bugs.debian.org. (Sun, 07 Aug 2011 09:09:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#552705; Package wnpp. (Sun, 07 Aug 2011 10:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <m.vescovi@revese.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 07 Aug 2011 10:42:17 GMT) Full text and rfc822 format available.

Message #87 received at 552705@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <m.vescovi@revese.it>
To: 552705@bugs.debian.org
Subject: ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files
Date: Sun, 07 Aug 2011 12:38:15 +0200
Hi!

I'm the actual maintainer for the gtkpod package.
I'm gonna take care of this package because many people are asking me to 
provide the mp4 support in the gtkpod package actually present in Debian 
Testing and Unstable archives.

Reading [1], it seems like MPL is a license suitable for Debian "main" 
archive.

I've already been accepted as member of the Debian Multimedia Team and 
I'm gonna work as much as I can on the packaging process of this library.

Thanks a lot for your eventual help with it.

mfv


[1] http://wiki.debian.org/DFSGLicenses#Mozilla_Public_License_.28MPL.29

--
Ing. Matteo F. Vescovi

-- 
Il messaggio e' stato analizzato alla ricerca di virus o
contenuti pericolosi da MailScanner, ed e'
risultato non infetto.





Changed Bug title to 'ITP: mp4v2 -- a library that provides functions to read, create, and modify mp4 files' from 'ITP: mp4v2 -- a library that provides functions to read, eate, and modify mp4 files' Request was from "Matteo F. Vescovi" <m.vescovi@revese.it> to control@bugs.debian.org. (Tue, 09 Aug 2011 10:12:41 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 10 Aug 2011 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to m.vescovi@revese.it (Matteo F. Vescovi):
You have taken responsibility. (Fri, 12 Aug 2011 19:21:06 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Fri, 12 Aug 2011 19:21:06 GMT) Full text and rfc822 format available.

Message #96 received at 552705-close@bugs.debian.org (full text, mbox):

From: m.vescovi@revese.it (Matteo F. Vescovi)
To: 552705-close@bugs.debian.org
Subject: Bug#552705: fixed in mp4v2 1.9.1+svn479~dfsg0-1
Date: Fri, 12 Aug 2011 19:17:59 +0000
Source: mp4v2
Source-Version: 1.9.1+svn479~dfsg0-1

We believe that the bug you reported is fixed in the latest version of
mp4v2, which is due to be installed in the Debian FTP archive:

libmp4v2-2_1.9.1+svn479~dfsg0-1_amd64.deb
  to main/m/mp4v2/libmp4v2-2_1.9.1+svn479~dfsg0-1_amd64.deb
libmp4v2-dev_1.9.1+svn479~dfsg0-1_all.deb
  to main/m/mp4v2/libmp4v2-dev_1.9.1+svn479~dfsg0-1_all.deb
mp4v2-dbg_1.9.1+svn479~dfsg0-1_amd64.deb
  to main/m/mp4v2/mp4v2-dbg_1.9.1+svn479~dfsg0-1_amd64.deb
mp4v2-utils_1.9.1+svn479~dfsg0-1_amd64.deb
  to main/m/mp4v2/mp4v2-utils_1.9.1+svn479~dfsg0-1_amd64.deb
mp4v2_1.9.1+svn479~dfsg0-1.debian.tar.gz
  to main/m/mp4v2/mp4v2_1.9.1+svn479~dfsg0-1.debian.tar.gz
mp4v2_1.9.1+svn479~dfsg0-1.dsc
  to main/m/mp4v2/mp4v2_1.9.1+svn479~dfsg0-1.dsc
mp4v2_1.9.1+svn479~dfsg0.orig.tar.bz2
  to main/m/mp4v2/mp4v2_1.9.1+svn479~dfsg0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552705@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matteo F. Vescovi <m.vescovi@revese.it> (supplier of updated mp4v2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Aug 2011 13:39:09 +0200
Source: mp4v2
Binary: libmp4v2-2 libmp4v2-dev mp4v2-dbg mp4v2-utils
Architecture: source amd64 all
Version: 1.9.1+svn479~dfsg0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Matteo F. Vescovi <m.vescovi@revese.it>
Description: 
 libmp4v2-2 - library to read, create, and modify mp4 files (shared library)
 libmp4v2-dev - library to read, create, and modify mp4 files (development files)
 mp4v2-dbg  - library to read, create, and modify mp4 files (debug)
 mp4v2-utils - library to read, create, and modify mp4 files (frontends)
Closes: 552705
Changes: 
 mp4v2 (1.9.1+svn479~dfsg0-1) unstable; urgency=low
 .
   * Initial release (Closes: #552705)
Checksums-Sha1: 
 a077c0e3452ea1f6ffa4e9fa8ea119df64764939 1430 mp4v2_1.9.1+svn479~dfsg0-1.dsc
 fed3b27ef9ba1e1ab31e7530f8e954d773a15908 482154 mp4v2_1.9.1+svn479~dfsg0.orig.tar.bz2
 860bb2d91491885001fe0db9bd80ffb3ade630f0 10829 mp4v2_1.9.1+svn479~dfsg0-1.debian.tar.gz
 87070eb1707bb187c04546e98132632b6d7367fc 434576 libmp4v2-2_1.9.1+svn479~dfsg0-1_amd64.deb
 e141baf8f30977f23ce45d184c934c0c41c39cc9 25446 libmp4v2-dev_1.9.1+svn479~dfsg0-1_all.deb
 c593417b755624896b89f9cb775dfc9f9924932d 3717024 mp4v2-dbg_1.9.1+svn479~dfsg0-1_amd64.deb
 3aafe79c4c0da8c02c279c776f62256b0ff5682f 94118 mp4v2-utils_1.9.1+svn479~dfsg0-1_amd64.deb
Checksums-Sha256: 
 2032f73f3afe40a738333c0ce3464869f08bcf774686ce05a8cabd44914702fa 1430 mp4v2_1.9.1+svn479~dfsg0-1.dsc
 317194f927177dbb1b4a1841485f073b2ad172f2d1c61559b29c7e6eb8425b25 482154 mp4v2_1.9.1+svn479~dfsg0.orig.tar.bz2
 d6ae1873073b302f9f5f07ee4a7ba3ebafacd334514070646a2806649e946e80 10829 mp4v2_1.9.1+svn479~dfsg0-1.debian.tar.gz
 5f0e7b7a2fddbe4de41c2653c2bda3b7f122884042710bdc2034630729973f58 434576 libmp4v2-2_1.9.1+svn479~dfsg0-1_amd64.deb
 111b62d25390fb6f5b208113901debd54ce7b17087abdfd5fc811a7cd89722ad 25446 libmp4v2-dev_1.9.1+svn479~dfsg0-1_all.deb
 d61540d7c9e0f919af42854bce4a042cd9b2cd2eecbb6d7c4cc4f0eb59dbcdd5 3717024 mp4v2-dbg_1.9.1+svn479~dfsg0-1_amd64.deb
 e04eae510a4a8112ad40e23a674aa5e0fa86fe551d5e7a0efcc6663006420f25 94118 mp4v2-utils_1.9.1+svn479~dfsg0-1_amd64.deb
Files: 
 1b62845f0d8e987c02b82731cd19c419 1430 sound optional mp4v2_1.9.1+svn479~dfsg0-1.dsc
 181cba6f6a7cd31155886520594c9247 482154 sound optional mp4v2_1.9.1+svn479~dfsg0.orig.tar.bz2
 ca893c487a2340f30d8ce9b9c8fc0f33 10829 sound optional mp4v2_1.9.1+svn479~dfsg0-1.debian.tar.gz
 7a365788b9021e019f750c7cb4357b40 434576 libs optional libmp4v2-2_1.9.1+svn479~dfsg0-1_amd64.deb
 59ef13cb319827eccb245288f630991b 25446 libdevel optional libmp4v2-dev_1.9.1+svn479~dfsg0-1_all.deb
 aa0136b4bafe3f7facdcd8e489daf877 3717024 debug extra mp4v2-dbg_1.9.1+svn479~dfsg0-1_amd64.deb
 c5a4b459966beee08771db90c94c585d 94118 sound optional mp4v2-utils_1.9.1+svn479~dfsg0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5CiLYACgkQRdSMfNz8P9BCgwCghKOD2yCuEdprp3P1fQA6GXGH
vAsAniHfoTzKmp8WIwOcpeR/zoIYntkN
=Mz8x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Sep 2011 07:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:23:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.